<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <title>TODO supply a title</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
    </head>
    <body>
        <div>
            Radius: <input type="text" id="radius"><br>
            <input type="button" id="button" value="Calculate Area"><br>
            Area: <input type="text" id="area">
        </div>
        <script>
            function assignEvents(e) {
                document.getElementById("button").addEventListener("click", calculate);
            }
            function calculate() {
                if (document.getElementById("radius").value!=="") {
                    area = Math.pow(document.getElementById("radius").value,2) * Math.PI;
                    document.getElementById("area").value = area;
                } else {
                    alert("Error - radius field empty");
                }
            }
            document.addEventListener("DOMContentLoaded", assignEvents);
        </script>
    </body>
</html>
